> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Depth estimation



## OpenAPI

````yaml /api-reference/openapi.json post /v1/images/depth-estimation
openapi: 3.1.0
info:
  title: SynapsAI Inference API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/images/depth-estimation:
    post:
      summary: Depth estimation
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DepthEstimationRequest'
      responses:
        '200':
          description: Depth estimation output
          content:
            application/json:
              schema:
                type: object
                properties:
                  predicted_depth:
                    type: array
                    items:
                      type: number
                    description: tensor-like numeric array
                  depth:
                    type: string
                    description: image encoded as base64 or URL
components:
  schemas:
    DepthEstimationRequest:
      allOf:
        - type: object
          description: Request to estimate per-pixel depth from images.
          properties:
            inputs:
              oneOf:
                - type: string
                - type: array
                  items: {}
                - type: string
                  format: binary
              description: >-
                Single image or list of images (base64, URL or binary) for depth
                estimation. Required.
            parameters:
              type: object
              additionalProperties: true
              nullable: true
              description: >-
                Optional configuration parameters passed to the depth estimation
                model.
            timeout:
              type: number
              nullable: true
              description: >-
                Maximum time in seconds to wait for any remote fetching or long
                processing steps.
          required:
            - inputs

````